import type { LabelPropType, VersionAPI, VersionStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolVersion implements VersionAPI {
    render(): JSX.Element;
    _label: LabelPropType;
    state: VersionStates;
    validateLabel(value?: LabelPropType): void;
    componentWillLoad(): void;
}
